## Simple CMABs
It is a repository containing the implementation of combinatorial multi-armed bandit algorithm with Thompson Sampling to solve combinatorial optimization problems involving single agent as well as multiple agents in a decentralized environment. Implemented algorithm is inspired from *[here](https://www.researchgate.net/publication/372447605_Decentralized_Smart_Charging_of_Large-Scale_EVs_using_Adaptive_Multi-Agent_Multi-Armed_Bandits)*. 
___
## Architecture
The repository includes following files:  
- [src](src/): Contains the implementation of the learning agent class. 
- Jupiter Notebook Examples:  Contains Jupyter Notebook examples utilizing the implemented learning agent to solve single agent and multi-agent combinatorial optimization problems in a decentralized manner.
 ___
## Contact
For any further information, you can contact me at <14beesharyal@seecs.edu.pk>.
